Loading...
Searching...
No Matches
rtr_socket Struct Reference
RTR socket

`#include "rtr.h"`

## Data Fields

rtr_connection_state_fp | connection_state_fp
void * | connection_state_fp_param_config
void * | connection_state_fp_param_group
unsigned int | expire_interval
bool | has_received_pdus
bool | is_resetting
enum rtr_interval_mode | iv_mode
time_t | last_update
struct pfx_table * | pfx_table
unsigned int | refresh_interval
bool | request_session_id
unsigned int | retry_interval
uint32_t | serial_number
uint32_t | session_id
struct spki_table * | spki_table
enum rtr_socket_state | state
pthread_t | thread_id
struct tr_socket * | tr_socket
unsigned int | version

## Detailed Description

Parameters

  tr_socket | Pointer to an initialized tr_socket that will be used to communicate with the RTR server.
  refresh_interval | Time period in seconds. Tells the router how long to wait before next attempting to poll the cache, using a Serial Query or Reset Query PDU.
  last_update | Timestamp of the last validation record update. Is 0 if the pfx_table doesn't store any validation records from this rtr_socket.
  expire_interval | Time period in seconds. Received records are deleted if the client was unable to refresh data for this time period. If 0 is specified, the expire_interval is twice the refresh_interval.
  retry_interval | Time period in seconds between a failed query and the next attempt.
  iv_mode | Defines handling of incoming intervals.
  state | Current state of the socket.
  session_id | session_id of the RTR session.
  request_session_id | True, if the rtr_client have to request a new none from the server.
  serial_number | Last serial number of the obtained validation records.
  pfx_table | pfx_table that stores the validation records obtained from the connected rtr server.
  thread_id | Handle of the thread this socket is running in.
  connection_state_fp | A callback function that is executed when the state of the socket changes.
  connection_state_fp_param_config | Parameter that is passed to the connection_state_fp callback. Expects a pointer to a rtr_mgr_config struct.
  connection_state_fp_param_group | Parameter that is passed to the connection_state_fp callback. Expects a pointer to the rtr_mgr_group this socket belongs to.
  version | Protocol version used by this socket
  has_received_pdus | True, if this socket has already received PDUs
  spki_table | spki_table that stores the router keys obtained from the connected rtr server

Examples
  rtr_mgr.c.